Package net.shibboleth.idp.profile.config

# Interface InterceptorAwareProfileConfiguration

All Superinterfaces:
  `Component`, `IdentifiedComponent`, `ProfileConfiguration`

All Known Subinterfaces:
  `SAMLProfileConfiguration`

All Known Implementing Classes:
  `AbstractInterceptorAwareProfileConfiguration`, `AbstractProtocolConfiguration`, `AbstractSAML1ArtifactAwareProfileConfiguration`, `AbstractSAML1AssertionProducingProfileConfiguration`, `AbstractSAML2ArtifactAwareProfileConfiguration`, `AbstractSAML2AssertionProducingProfileConfiguration`, `AbstractSAML2ProfileConfiguration`, `AbstractSAMLProfileConfiguration`, `ArtifactResolutionProfileConfiguration`, `ArtifactResolutionProfileConfiguration`, `AttributeQueryProfileConfiguration`, `AttributeQueryProfileConfiguration`, `BasicAdministrativeFlowDescriptor`, `BrowserSSOProfileConfiguration`, `BrowserSSOProfileConfiguration`, `ECPProfileConfiguration`, `LoginConfiguration`, `MockAuthenticationProfileConfiguration`, `MockProfileConfiguration`, `OneTimeAdministrativeFlowDescriptor`, `ProxyConfiguration`, `SingleLogoutProfileConfiguration`, `SSOSProfileConfiguration`, `ValidateConfiguration`

public interface InterceptorAwareProfileConfiguration extends ProfileConfiguration
Extension of `ProfileConfiguration` that adds inteceptor support.

Since:
  5.0.0

## Field Summary

### Fields inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`DEFAULT_DISALLOWED_FEATURES`

## Method Summary

Modifier and Type
Method
Description
`List<String>`
`getInboundInterceptorFlows(ProfileRequestContext profileRequestContext)`
Get an ordered list of interceptor flows to run for this profile after an inbound message is decoded.
`List<String>`
`getOutboundInterceptorFlows(ProfileRequestContext profileRequestContext)`
Get an ordered list of interceptor flows to run for this profile before a final outbound message is generated.

### Methods inherited from interface net.shibboleth.shared.component.IdentifiedComponent

`getId`

### Methods inherited from interface net.shibboleth.profile.config.ProfileConfiguration

`getDisallowedFeatures, getSecurityConfiguration, isFeatureDisallowed`

## Method Details

### getInboundInterceptorFlows

@ConfigurationSetting(name="inboundInterceptorFlows") @Nonnull @NotLive @Unmodifiable List<String> getInboundInterceptorFlows(@Nullable ProfileRequestContext profileRequestContext)
Get an ordered list of interceptor flows to run for this profile after an inbound message is decoded.

The flow IDs returned MUST NOT contain the `ProfileInterceptorFlowDescriptor.FLOW_ID_PREFIX` prefix common to all interceptor flows.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  a set of interceptor flow IDs to enable

### getOutboundInterceptorFlows

@ConfigurationSetting(name="outboundInterceptorFlows") @Nonnull @NotLive @Unmodifiable List<String> getOutboundInterceptorFlows(@Nullable ProfileRequestContext profileRequestContext)
Get an ordered list of interceptor flows to run for this profile before a final outbound message is generated.

The flow IDs returned MUST NOT contain the `ProfileInterceptorFlowDescriptor.FLOW_ID_PREFIX` prefix common to all interceptor flows.

Parameters:
  `profileRequestContext` - current profile request context
Returns:
  a set of interceptor flow IDs to enable